- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

EC_KEY_get_enc_flags, EC_KEY_set_enc_flags - Get and set flags for encoding EC_KEY structures

# SYNOPSIS

     #include <openssl/ec.h>

     unsigned int EC_KEY_get_enc_flags(const EC_KEY *key);
     void EC_KEY_set_enc_flags(EC_KEY *eckey, unsigned int flags);

# DESCRIPTION

The format of the external representation of the public key written by i2d_ECPrivateKey() (such as whether it is stored in a compressed form or not) is described by the point_conversion_form. See RETURN VALUES

EC_KEY_get_enc_flags() returns the value of the current encoding flags for the EC_KEY.

# SEE ALSO

EC_GROUP_new(3), EC_POINT_new(3), EC_GFp_simple_method(3), d2i_ECPrivateKey(3)

# COPYRIGHT

Copyright 2015-2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.